Subject: [Raw] The term RAW in RAW Architecture [was Some comments/questions on RAW Architecture]

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 21 Mar 2022 14:20:04 +0000

Dear Lou and all:

Lou asked (more below): "1) What does the term "RAW" refer to in the context of the architecture? 
Is it a new/standalone set of mechanisms or is it an addition or an extension, or a usage of IETF defined technologies?"

<Pascal>

Effectively we use "RAW Architecture" a but like if what we do here is the alpha and omega to make wireless near deterministic when we're just providing a set DetNet extensions for OODA loop, and functions more may come in the future. Should we call it "RAW OODA Architecture" or something?

</Pascal>

Lou also points out that the text staring at " It builds on the DetNet Architecture" sounds evolutionary. 

<Pascal>
Evolution is key to survival, ask Covid. More seriously, we may be hitting my non-native limits. I wish this architecture to be foldable into the DetNet family, even though it means that the family will extend, which is neat in my book. So:
1) how bad is evolutionary? Does that contradict the charter ?
2) Should we use, e.g., "extends" as opposed to "builds on"?

<Pascal>

Finally Lou Proposes the following change:

OLD 

    It builds on the DetNet Architecture and
    discusses specific challenges and technology considerations needed to
    deliver DetNet service utilizing scheduled wireless segments and
    other media, e.g., frequency/time-sharing physical media resources
    with stochastic traffic.

Lou's PROPOSAL

     The RAW Architecture builds on the DetNet Architecture and
     standard IETF Traffic Engineering concepts and mechanisms to
    deliver service across any combination of wired and wireless
    network segments. ...

<Pascal>

My 2 cents: 
*   Our charter builds on DetNet and MANET-DLEP, but not TEAS.
*   We have not decided to extend TEAS but be inheritance from DetNet. 
*   I'm probably both biased and ill-informed, but I do believe that the work at 6TiSCH - which explicitly considered deterministic flows over one of our selected technologies (see RFC 9030 which BTW also defines the concept of a Track) - may be as good a base to build upon for RAW as other IETF work that roots in MPLS, fiber optics, and/or SP networks.
*  Whether we do use TEAS work, to which extent, or we do not, will be documented in the framework once the WG settles on that, and we certainly hope for your help doing that.
*  At the level of this document (architecture), I believe that the core qualification is not how we'll do it but the fact that it will have to support wireless segments and possibly non wireless segments as well, with as a corollary that we selected wireless techs that can be scheduled to offer the expected guarantees.

All in all, I might have missed your point but I'd rather keep that text as is.

</Pascal> 

What do you all think?

Pascal

-----Original Message-----
From: Lou Berger <[email-masked]> 
Sent: lundi 21 mars 2022 2:25
To: [email-masked]
Cc: RAW WG <[email-masked]>
Subject: Some comments/questions on RAW Architecture

Pascal, Georgios,

In looking to provide input on the framework document I realized I had some basic questions on the architecture document. While I also have more detailed comments/questions on the Architecture document, I'll stick to the high level comments/questions here. Also, my apologies for not getting them out sooner, but I figured it was still better to document here than just "at the mic" in tomorrow's session.

1) What does the term "RAW" refer to in the context of the architecture? 
Is it a new/standalone set of mechanisms or is it an addition or an extension, or a usage of IETF defined technologies?

I find that reading the architecture, I'm really  unsure.  The current working is a bit mixed, e.g.,

    Reliable and Available Wireless (RAW) provides for high reliability
    and availability for IP connectivity over a wireless medium.

this sounds like something new/independent

    It builds on the DetNet Architecture and
    discusses specific challenges and technology considerations needed to
    deliver DetNet service utilizing scheduled wireless segments and
    other media, e.g., frequency/time-sharing physical media resources
    with stochastic traffic.

this sounds evolutionary.

I was expecting the RAW WG to build on DetNet and other IETF Traffic Engineering (TE)  bodies of work. In other works something along the lines of:

     The RAW Architecture builds on the DetNet Architecture and
     standard IETF Traffic Engineering concepts and mechanisms to
    deliver service across any combination of wired and wireless
    network segments. ...

I think the document and the used terminology must be clear even we're
(understandably) loose in the usage of the "RAW" term in our discussions.

2) Are RAW solutions limited to IPv6 and a limited set of wireless technologies?  I think the framework says/implies no, but the architecture is less inclusive. e.g.,
    RAW provides DetNet elements that are specialized for IPv6 flows
    [IPv6] over selected deterministic radios technologies [RAW-TECHNOS].

I would expect that at least at the Architecture level that there would be no exclusion of IETF networking technologies (including v4 and MPLS) and any SDO-defined wireless technology.  I certainly understand needing to focus and prioritize work on specific technologies, but that is practical choice not a limitation that should be codified in the architecture.

Somewhat related, but of less importance, it's probably worth mentioning that RAW forwards/switches at the IP, not link layer.

3) How do tracks differ from TE protection paths?

In reading the definition of the tracks, the term seems quite aligned/similar to TE protection paths and segments.  Keep in mind that DetNet PREOF is just one form of service restoration supported in IETF TE, i.e., the 1+1 form.  A track reads to me to be something that can be composed or combine 1:1, 1:N and even 1+N, and have interesting
(uncoordinated) protection switching based on actual network/link
(channel) state.  I suspect we can accomplish the same objectives as Tracks and stay consistent with existing DetNet and TE(AS) terminology.

4) Is RAW limited to PCE-based centralized solutions?

DetNet introduced the term Controller Plane to cover all types of control supported by the IETF TE architecture, i.e., fully centralized, fully distributed, or any hybrid combination of centralized/distributed control.  The Architecture reads as supporting only one combination of - PCE for paths, PSEs for tracks (aka protection segments) .   PSEs read as also doing the actual protection switching, but this is outside the scope of this comment.

Hereto, I see no reason for the architecture to limit the scope of the Controller Plan solutions that could be standardized as part of RAW. (Yes PCE-based approaches are likely the first to be standardized, but that's not an architecture level decision.)

Those are my top comments.  While substantive, I suspect addressing these comments will result in some refactoring and rewording -- but not a major change to the document.

Thank you, and speak to you soon. (Unfortunately, just virtually this
meeting...)

Lou